View Issue Details

IDProjectCategoryView StatusLast Update
0001205PluginsFTP (old)public2010-02-15 13:35
ReporterMaximusAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version 
Target VersionFixed in Version1.75 
Summary0001205: Мусор в панели плагина после закачки файлов на FTP
DescriptionServer type - Autodetect

Похоже, что если папка пустая - то Server type определяется некорректно. А повторное определение после появления файлов - не происходит.

farftp3.log - открытие пустой папки, закачка файлов, получаем некорректную панель (ftp3.txt - верхний блок)

Причем, в заголовке панели - лишний слеш
@beta.kaspersky-labs.com//3115/89456

farftp4.log - после Ctrl-R

farftp6.log - закрытие плагина, и повторное подключение
TagsNo tags attached.

Relationships

duplicate of 0001042 closedalexy Необновление содержимого FTP до перезахода на сервер 

Activities

Maximus

2009-12-06 16:48

reporter  

ftp3.zip (3,388 bytes)

vitbo

2010-01-17 01:58

reporter   bugnote:0004812

SYST возвращает:
UNKNOWN Type: L8
т.е. тип автоматом не определяется (autodetect)
дальше делаются попытки определить тип по содержимому ls
происходит ложное срабатывание (не разобрался с этой фичей раньше...), тип становится FTP_TYPE_MVS
для исправления, надо исключить этот тип сервера из попыток определить тип по содержимому:

Index: work/plugins/ftp/lib/DirList/p_Main.cpp
208 строка:
- /*12*/ { TRUE, "MVS ", "MVS system", idPRParceMVS, idDirParceMVS
+ /*12*/ { FALSE, "MVS ", "MVS system", idPRParceMVS, idDirParceMVS

Px

2010-01-17 03:00

reporter   bugnote:0004813

Уже сообщалось :)
http://bugs.farmanager.com/view.php?id=1042

alexy

2010-02-14 15:44

administrator   bugnote:0004935

DirList 1.7

Issue History

Date Modified Username Field Change
2009-12-06 16:48 Maximus New Issue
2009-12-06 16:48 Maximus File Added: ftp3.zip
2010-01-17 01:58 vitbo Note Added: 0004812
2010-01-17 03:00 Px Note Added: 0004813
2010-01-22 17:19 alexy Relationship added duplicate of 0001042
2010-02-14 15:44 alexy Note Added: 0004935
2010-02-14 15:44 alexy Assigned To => alexy
2010-02-14 15:44 alexy Status new => feedback
2010-02-15 13:34 Px Status feedback => resolved
2010-02-15 13:35 alexy Status resolved => closed
2010-02-15 13:35 alexy Fixed in Version => 1.75
2010-02-15 13:35 alexy Resolution open => fixed
2013-05-21 00:30 alexy Category FTP => FTP (old)